org.omg.CosNaming

## Class NamingContextExtHelper

- java.lang.Object
- - org.omg.CosNaming.NamingContextExtHelper

    public abstract class NamingContextExtHelper
    extends Object

`NamingContextExt` is the extension of `NamingContext` which contains a set of name bindings in which each name is unique and is part of Interoperable Naming Service. Different names can be bound to an object in the same or different contexts at the same time. Using `NamingContextExt`, you can use URL-based names to bind and resolve.

See CORBA COS Naming Specification.

### Constructor Summary

Constructors
Constructor and Description
`NamingContextExtHelper()`

### Method Summary

Methods
`static NamingContextExt` `extract(Any a)`
`static String` `id()`
`static void` `insert(Any a, NamingContextExt that)`
`static NamingContextExt` `narrow(Object obj)`
`static NamingContextExt` `read(InputStream istream)`
`static TypeCode` `type()`
`static NamingContextExt` `unchecked_narrow(Object obj)`
`static void` `write(OutputStream ostream, NamingContextExt value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NamingContextExtHelper

    public NamingContextExtHelper()

### Method Detail

#### insert

    public static void insert(Any a,
              NamingContextExt that)

#### extract

    public static NamingContextExt extract(Any a)

#### type

    public static TypeCode type()

#### id

    public static String id()

#### read

    public static NamingContextExt read(InputStream istream)

#### write

    public static void write(OutputStream ostream,
             NamingContextExt value)

#### narrow

    public static NamingContextExt narrow(Object obj)

#### unchecked_narrow

    public static NamingContextExt unchecked_narrow(Object obj)

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.